* {
    margin: 0;
    padding: 0;
}

html {
    height: 100%;
}

article, aside, details, figcaption, figure, footer, header, hgroup, main, nav, section, summary {
    display: block;
}

body {
    height: 100%;
    font-family: Nunito, Arial, sans-serif;
    font-style: normal;
    font-size: 16px;
}

.wrapper {
    min-width: 300px;
    max-width: 100%;
    min-height: 100%;
    height: auto;
    margin: 0 auto;
    overflow: hidden;
}

.container {
    max-width: 1200px;
    width: 100%;
    margin: 0 auto;
    padding: 0 40px;
    box-sizing: border-box;
}

.header {
    height: 90px;
    position: fixed;
    width: 100%;
    background: #0A1B2E;
    /*background: linear-gradient(180deg, rgba(0, 0, 0, 1) 0%, rgba(255, 255, 255, 0) 100%);*/
    z-index: 2;
}

.header .logo,
.checkbox-toggle {
    display: none;
}

.menu {
    max-width: 1200px;
    padding: 0 40px;
    width: 100%;
    height: 100%;
    margin: 0 auto;
    display: flex;
    align-items: center;
    box-sizing: border-box;
}

.nav {
    width: 100%;
}

.menu ul {
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    gap: 40px;
    justify-content: space-between;
    width: 100%;
    min-width: 270px;
}

.menu ul li,
.menu ul li a {
    position: relative;
    font-size: 20px;
    text-transform: uppercase;
    color: #ffffff;
    font-weight: 200;
    cursor: pointer;
    padding: 10px;
}

.menu ul li ul.submenu li,
.menu ul li ul.submenu li ul.submenu-2 li,
.menu ul li ul.submenu li a,
.menu ul li ul.submenu li ul.submenu-2 li a {
    font-size: 16px;
    line-height: 1.2;
}

.menu ul li ul.submenu li,
.menu ul li ul.submenu li ul.submenu-2 li {
    padding: 6px;
}

.menu ul li a {
    padding: 0;
    text-decoration: none;
}

.menu ul li:hover a,
.menu ul li:hover ul.submenu li:hover a,
.menu ul li:hover ul.submenu li:hover ul.submenu-2 li:hover a {
    opacity: 0.8;
}

.menu ul li:hover ul.submenu li a,
.menu ul li ul.submenu li:hover ul.submenu-2 li a{
    opacity: 1;
}

.menu ul li:hover ul.submenu {
    display: block;
}

.menu ul li ul.submenu {
    display: none;
    top: 40px;
    position: absolute;
    padding: 10px;
    background: rgb(10 27 46 / 80%);
    width: auto;
    border-radius: 10px;
}

.menu ul li ul.submenu li:hover ul.submenu-2 {
    display: block;
}

.menu ul li ul.submenu li ul.submenu-2 {
    display: none;
    top: -10px;
    left: 270px;
    position: absolute;
    padding: 10px;
    background: rgb(10 27 46 / 80%);
    width: auto;
    border-radius: 10px;
    z-index: 2;
}

.slider {
    width: 100%;
    height: 100vh;
    min-height: 600px;
}

.slider img,
.slider video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.main {
    font-size: 20px;
    padding-bottom: 220px;
}

.main.home-page {
    padding-bottom: 100px;
}

.main h1 {
    font-size: 40px;
    line-height: 1;
    color: #2185C3;
}

.main ul {
    margin-left: 20px;
}

.main.page {
    padding-top: 120px;
}

.cover-image {
    position: relative;
    width: 100%;
    height: 100vh;
}

.cover-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.cover-image .container {
    position: absolute;
    bottom: 60px;
    left: 50%;
    transform: translate(-50%, 0);
}

.cover-image h1 {
    font-size: 84px;
    color: #ffffff;
    text-shadow: 0px 0px 12px #0A1B2E;
    line-height: 1;
}

.detection {
    padding: 40px;
    background: #0a1b2e;
    color: #ffffff;
    margin-bottom: 60px;
    font-size: 24px;
}

.wrapper.kontaktyi {
    background: url(../images/contacts.jpg);
    background-position: center;
    background-size: cover;
}

.wrapper.investoram-i-akczioneram {
    background: url(../images/bg.jpg);
    background-position: center;
    background-size: cover;
}

.kontaktyi .content {
    max-width: 600px;
}

.footer {
    background: #0a1b2e;
    height: 100px;
    margin: -100px auto 0;
    position: relative;
    overflow: hidden;
    color: #ffffff;
}

.footer .container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 100%;
}

.logo {
    text-transform: uppercase;
    font-size: 24px;
    font-weight: bold;
    color: #ffffff;
}

.logo a {
    color: #ffffff;
    text-decoration: none;
}

.copy {
    font-size: 12px;
}

@media (max-width: 1160px) {


    .menu ul li, .menu ul li a {
        font-size: 16px;
        padding: 5px;
    }
    
    .menu ul {
        gap: 20px;
    }
    
}

@media (max-width: 910px) {
    
    .header {
        display: flex;
        align-items: center;
    }
    
    .header .logo {
        margin-left: 40px;
        display: block;
    }
 
    /* Мобильное меню */

	.menu {
		float: none;
		display: block;
		z-index: 10;
		width: 100%;
		top: 0;
	}

	.menu .checkbox-toggle {
		display: block;
		position: fixed;
		top: 21px;
        right: 30px;
		z-index: 2;
		cursor: pointer;
		width: 44px;
		height: 44px;
		opacity: 0;
	}

	.menu .checkbox-toggle:checked + .hamburger > div {
		-webkit-transform: rotate(135deg);
		-ms-transform: rotate(135deg);
		transform: rotate(135deg);
		background: #ffffff;
		position: fixed;
		width: 25px;
	}

	.menu .checkbox-toggle:checked + .hamburger > div:before, 
	.menu .checkbox-toggle:checked + .hamburger > div:after { 
		top: 0; 
		-webkit-transform: rotate(90deg); 
		-ms-transform: rotate(90deg); 
		transform: rotate(90deg);
		background: #ffffff;
		position: fixed;
		width: 25px;
	}

	.menu .checkbox-toggle:checked + .hamburger > div:after {
		opacity: 0; 
		position: fixed;
		width: 25px;
	}

	.menu .checkbox-toggle:checked ~ .nav { 
		pointer-events: auto; 
	}

	.menu .checkbox-toggle ~ .nav > div { 
		width: 100%; 
		height: 0;
	} 

	.menu .checkbox-toggle:checked ~ .nav > div { 
		width: 100%; 
		height: 100%; 
		overflow: auto;
	}
	
	.menu .checkbox-toggle:checked:hover + .hamburger > div { 
		-webkit-transform: rotate(225deg); 
		-ms-transform: rotate(225deg); 
		transform: rotate(225deg);
		position: fixed;
		width: 25px;
	} 
	 
	.menu .hamburger {
		position: absolute;
	    top: 21px;
        right: 30px;
		z-index: 1;
		width: 24px;
		height: 24px;
		padding: 10px;
		border-radius: 0 0.12em 0.12em 0;
		cursor: pointer;
		-webkit-transition: box-shadow 0.3s ease;
		transition: box-shadow 0.3s ease;
		-webkit-backface-visibility: hidden;
		backface-visibility: hidden;
		display: -webkit-box;
		display: -webkit-flex;
		display: -ms-flexbox;
		display: flex;
		-webkit-box-align: center;
		-webkit-align-items: center;
		-ms-flex-align: center;
		align-items: center;
		-webkit-box-pack: center;
		-webkit-justify-content: center;
		-ms-flex-pack: center;
		justify-content: center;
	}

	.menu .hamburger > div {
		position: relative;
		-webkit-box-flex: 0;
		-webkit-flex: none;
		-ms-flex: none;
		flex: none;
		width: 24px;
		height: 2px;
		border-radius: 2px;
		background: #ffffff;
		-webkit-transition: all 0.3s ease;
		transition: all 0.3s ease;
		display: -webkit-box;
		display: -webkit-flex;
		display: -ms-flexbox;
		display: flex;
		-webkit-box-align: center;
		-webkit-align-items: center;
		-ms-flex-align: center;
		align-items: center;
		-webkit-box-pack: center;
		-webkit-justify-content: center;
		-ms-flex-pack: center;
		justify-content: center;
	}

	.menu .hamburger > div:before, 
	.menu .hamburger > div:after { 
		content: ''; 
		position: absolute; 
		z-index: 1; 
		top: -7px; 
		left: 0; 
		width: 24px;
		height: 2px; 
		border-radius: 2px;
		background: #ffffff;
		-webkit-transition: all 0.3s ease; 
		transition: all 0.3s ease;
	} 

	.menu .hamburger > div:after { 
		top: 7px;
		width: 24px;
	}
	 
	 .menu .nav { 
		position: fixed; 
		top: 0!important; 
		left: 0; 
		height: 100%;
		width: 100%;
		padding: 0;
		margin: 0;
		z-index: 0;
		pointer-events: none; 
		background: none;
		display: -webkit-box; 
		display: -webkit-flex; 
		display: -ms-flexbox; 
		display: flex; 
		-webkit-box-align: normal; 
		-webkit-align-items: normal; 
		-ms-flex-align: normal; 
		align-items: normal; 
		-webkit-box-pack: normal; 
		-webkit-justify-content: normal; 
		-ms-flex-pack: normal; 
		justify-content: normal; 
	}

	.menu .nav > div { 
		width: 0; 
		height: 0; 
		background: #0A1B2E;
		-webkit-transition: all 0.3s ease; 
		transition: all 0.3s ease; 
	}

	.menu .nav > div > ul {
        list-style: none;
        margin: 0;
        display: block;
        width: 100%;
        text-align: left;
        padding-top: 20px;
        opacity: 0;
        box-sizing: border-box;
        gap: 0;
    }
	
	.menu .checkbox-toggle:checked ~ .nav > div > ul {
		opacity: 1;
		-webkit-transition: all 0.3s ease; 
		transition: all 0.3s ease; 
	}
	 
	.menu .nav > div > ul > li {
		width: 100%;
		font-size: 18px;
		line-height: 1;
		display: inline-block;
		position: relative;
		z-index: 1;
		margin-left: 0;
		margin-bottom: 9px;
		margin-top: 9px;
		box-sizing: border-box;
	}
	
	.menu .nav > div > ul > li > a {
		font-style: normal;
		font-weight: 700;
		font-size: 16px;
		line-height: 1.25;
		text-decoration: none;
		position: relative; 
		display: inline; 
		cursor: pointer; 
		-webkit-transition: color 0.3s ease; 
		transition: color 0.3s ease; 
	}

	.menu .nav > div > ul > li > a:hover:before,
	.menu .nav > div > ul > li > a.active:before{
		left: -20px;
	}

	.menu .nav > div > ul > li > a:hover,
	.menu .nav > div > ul > li > a.active {
		
	}
	
	.menu ul li ul.submenu {
        display: block;
        top: 0;
        position: relative;
    }
    
    .menu ul li ul.submenu li a {
        padding: 5px 0;
    }

	/* END Мобильное меню */   
	
	.logo {
        font-size: 20px;
    }
    
    .cover-image {
        height: auto;
        margin-bottom: -50px;
    }
	
	.cover-image:after {
        content: '';
        display: block;
        padding-top: 100%;
    }
    
    .cover-image img {
        position: absolute;
    }
    
    .cover-image h1 {
        font-size: 30px;
    }
    
    .cover-image .container {
        bottom: 30px;
    }
    
    .detection {
        padding: 20px;
        margin-bottom: 40px;
        font-size: 18px;
    }
    
    .main.page {
        padding-top: 110px;
    }
    
    .main {
        font-size: 14px;
        padding-bottom: 160px;
    }
    
    .main h1 {
        font-size: 22px;
    }
    
    .footer .container {
        flex-wrap: wrap;
        justify-content: center;
        height: auto;
        gap: 10px;
    }
    
    .footer {
        display: flex;
        align-items: center;
    }
        
}